indispensible Rated 5 out of 5 stars

An excellent and simple tool.

It is only now that it does not work with Firefox 3.5 that I realise just how useful.

So I got to reading some of the previous reviews especially dovetalk dated July 1 2008.

I downloaded the XPI file, unzipped it and changed "3.0+" to "3.5+" in install.rdf .

XPI files are just ZIP files with another name.